Wallet
钱包 - 净值
获取钱包当前净值,包括所有代币持仓及价格
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
钱包 - 净值
curl --request GET \
--url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentTimestamp": "2025-10-30T03:33:40.980Z",
"data": [
{
"amount": "1000.50",
"chain": "sol",
"decimals": 6,
"isActive": true,
"name": "USD Coin",
"priceInNative": "0.00000667",
"priceInUsd": "1.0001",
"symbol": "USDC",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"valueInNative": "6.67",
"valueInUsd": "1000.60",
"accuAmount": "<string>",
"avgCostUsd": "<string>",
"lastActiveAt": 123,
"logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
"realizedPnlInUsd": "<string>",
"unrealizedPnlInUsd": "<string>",
"walletTokenTags": [
"<string>"
]
}
],
"totalValueInNative": "82.31",
"totalValueInUsd": "12345.67",
"walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
"endCursor": "eyJpZCI6ImVuZCJ9",
"hasNext": false,
"hasPrev": false,
"startCursor": "eyJpZCI6InN0YXJ0In0="
}授权
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
支持网络列表中的链名称 Supported blockchain chains
可用选项:
sol, eth, bsc 钱包地址
查询参数
分页游标
每页返回结果数量
分页方向(next 或 prev) Pagination direction
可用选项:
next, prev 响应
200 - application/json
成功响应
Paginated wallet net-worth page (mirrors TS WalletNetWorthPage).
当前服务器时间戳
示例:
"2025-10-30T03:33:40.980Z"
代币净值明细列表
Show child attributes
Show child attributes
投资组合总价值(原生代币计)
示例:
"82.31"
投资组合总价值(USD 计)
示例:
"12345.67"
钱包地址
示例:
"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
当前页结束游标
示例:
"eyJpZCI6ImVuZCJ9"
是否有下一页
示例:
false
是否有上一页
示例:
false
当前页起始游标
示例:
"eyJpZCI6InN0YXJ0In0="
此页面对您有帮助吗?
⌘I
钱包 - 净值

